Subject: Re: [RFC][PATCH] combining header files

From: Linas Vepstas <[email-masked]>
Date: Wed, 9 Mar 2005 14:01:09 -0600

On Wed, Mar 09, 2005 at 12:03:43PM +1100, Stephen Rothwell was heard to remark:
> Hi all,
> 
> I would just like to start a discussion about consolidating (some of) the
> ppc and ppc64 header files.  As a starting point (am I am not saying that
> this is the right way to go) the following patch replaces (semantically)
> equivalent ppc64 headers files by just including the asm-ppc file.

Why not #include <asm-generic/whatever.h> instead? 

> We *could* use this method to make the journey incremental until there
> are no nontrivial files left in asm-ppc64 ....

sounds good to me.

--linas